Bug 25313 - Add optional skip_merge parameter to ModAuthority
Summary: Add optional skip_merge parameter to ModAuthority
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-29 14:18 UTC by Marcel de Rooy
Modified: 2020-11-18 11:04 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25313: Add skip_merge to ModAuthority (1.98 KB, patch)
2020-04-29 14:49 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 25313: Add skip_merge to ModAuthority (1.99 KB, patch)
2020-05-03 03:03 UTC, Phil Ringnalda
Details | Diff | Splinter Review
Bug 25313: Regression tests (1.74 KB, patch)
2020-08-11 12:29 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25313: Add skip_merge to ModAuthority (2.05 KB, patch)
2020-08-11 12:29 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25313: (QA follow-up) DelAuthority tests (1.74 KB, patch)
2020-08-11 12:32 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2020-04-29 14:18:21 UTC
Just like in DelAuthority. Allows you to skip merge in batch transactions where you know that the merge is useless because the reporting tag did not change.
Comment 1 Marcel de Rooy 2020-04-29 14:49:05 UTC
Created attachment 103954 [details] [review]
Bug 25313: Add skip_merge to ModAuthority

Sometimes you know that the merge is useless, since the reporting
tag did not change.
Might be handy in batch processing of authority records.

Test plan:
Pick an authority with a few linked biblio recs (so that it will
immediately merge; lower than MergeLimit).
Open authority record and save it.
Verify that a linked biblio record was merged. Check time in 005.
You proved that this patch does not break the regular process.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Phil Ringnalda 2020-05-03 03:03:18 UTC
Created attachment 104217 [details] [review]
Bug 25313: Add skip_merge to ModAuthority

Sometimes you know that the merge is useless, since the reporting
tag did not change.
Might be handy in batch processing of authority records.

Test plan:
Pick an authority with a few linked biblio recs (so that it will
immediately merge; lower than MergeLimit).
Open authority record and save it.
Verify that a linked biblio record was merged. Check time in 005.
You proved that this patch does not break the regular process.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Phil Ringnalda <phil@chetcolibrary.org>
Comment 3 Marcel de Rooy 2020-08-11 11:52:18 UTC
QA team: This was signed off on May 3 and we are August 10 now ?
1 file changed, 4 insertions(+), 3 deletions(-)
Really not that hard ;)
Comment 4 Tomás Cohen Arazi 2020-08-11 12:29:28 UTC
Created attachment 108055 [details] [review]
Bug 25313: Regression tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Tomás Cohen Arazi 2020-08-11 12:29:33 UTC
Created attachment 108056 [details] [review]
Bug 25313: Add skip_merge to ModAuthority

Sometimes you know that the merge is useless, since the reporting
tag did not change.
Might be handy in batch processing of authority records.

Test plan:
Pick an authority with a few linked biblio recs (so that it will
immediately merge; lower than MergeLimit).
Open authority record and save it.
Verify that a linked biblio record was merged. Check time in 005.
You proved that this patch does not break the regular process.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Phil Ringnalda <phil@chetcolibrary.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Tomás Cohen Arazi 2020-08-11 12:32:30 UTC
Created attachment 108057 [details] [review]
Bug 25313: (QA follow-up) DelAuthority tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Marcel de Rooy 2020-08-11 13:17:08 UTC
(In reply to Tomás Cohen Arazi from comment #6)
> Created attachment 108057 [details] [review] [review]
> Bug 25313: (QA follow-up) DelAuthority tests
> 
> Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Thx Tomas ! Even a test ;)
Comment 8 Jonathan Druart 2020-08-12 10:42:55 UTC
Where are we going to set this flag?
Comment 9 Marcel de Rooy 2020-08-12 11:04:14 UTC
(In reply to Jonathan Druart from comment #8)
> Where are we going to set this flag?

Future submission(s). Already using too in local script. Cant hurt too have it already just like iirc DelAuthority.
Comment 10 Jonathan Druart 2020-11-18 11:04:02 UTC
Pushed to master for 20.11, thanks to everybody involved!